FROM golang:1.24-alpine AS builder

WORKDIR /app

COPY main.go .

RUN go mod init mockupstream && go mod tidy && go build -o mock-upstream main.go

FROM alpine:latest
WORKDIR /app
COPY --from=builder /app/mock-upstream .
EXPOSE 8082
CMD ["./mock-upstream"]
